/**
 * @function _skipError
 * @private
 */

"use strict";

var util = require('util');

/** @lends _skipError */
function _skipError(dest) {
    var msg = util.format('%s is already exists. Use -f option to force.', dest);
    return new Error(msg);
}

module.exports = _skipError;