/**
 * List available scaffolds.
 * @memberof module:apeman-scaffold/lib/scaffold
 * @function listScaffold
 */

"use strict";

var ListLogger = require('../logging/list_logger');

/** @lends listScaffold */
function listScaffold(types, callback) {
    var logger = new ListLogger({});
    logger.logTypes(types);
    callback(null);
}

module.exports = listScaffold;
