/**
 * Test case for apemanScaffold.
 * Runs with nodeunit.
 */

var apemanScaffold = require('../lib/apeman_scaffold.js'),
    async = require('async');

var tmpDir = __dirname + '/../tmp';

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};

exports['List types.'] = function (test) {
    apemanScaffold({}, function (err) {
        test.ifError(err);
        test.done();
    });
};
exports['Apply scaffold'] = function (test) {
    var dest = tmpDir + '/foo/bar',
        tmpl = __dirname + '/../doc/mockups/mock-scaffold';
    apemanScaffold(tmpl, dest, {
        straight: true,
        force: true
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};
