/**
 * Project scaffolding tool.
 * @module apeman-scaffold
 * @version 2.1.17
 */
"use strict";

var apemanScaffold = require('./apeman_scaffold'),
    pkg = require('../package.json');

/**
 * @memberof module:apeman-scaffold/lib
 * @function apemanScaffold
 * @param type - Type of scaffold..
 * @param dest - Destination directory name.
 * @param {object} [options] - Optional settings.
 * @param [options.straight] - Scaffold without asking..
 * @param [options.silent] - Disable console logs.
 * @param [options.force] - Force to generate scaffold.
 * @param {function} [callback] - Callback when done.
 */
var lib = apemanScaffold.bind(apemanScaffold);
lib.apemanScaffold = apemanScaffold;
lib.version = pkg.version;
module.exports = lib;
